#!/lusr/bin/python
import os
condor_header="""+Group = "PROF"
+Project = "NETWORKING_MULTIMEDIA"
+ProjectDescription = "compact routing 512-232-7890"

Requirements = InMastodon && OpSys == "LINUX"
Universe = vanilla
GetEnv = true

"""

condor_job_template  = """Executable = /bin/sh
Initialdir = %s
Output     = %s/job%d.out
Error      = %s/job%d.err
Arguments =  go_matlab6.sh %s %s %d
Queue

"""
f = 'condor.matlab'
condor_job_fn = 'current.job'
[fn, instance, s_total_jobs] = open(f).readline().split()
total_jobs = int(s_total_jobs)
os.system('mkdir -p %s' % (instance,))
h = open(condor_job_fn, 'w');
h.write(condor_header);
for i in range(1, total_jobs+1):
    h.write( condor_job_template % (os.getcwd(), instance, i,instance, i, fn, instance, i))

h.close()

os.system('cp -f %s %s/' % (condor_job_fn, instance))
os.system('/lusr/opt/condor-6.7.14/bin/condor_submit %s' % ( condor_job_fn, ))

