function multiflow

x = load('~/GeoRouting/cr/eval/multiflow.matlab');
n_flows = [2, 3, 4, 5, 6]
%n_flows = [2, 3, 4]
repeat = 10;
count = 0;
for n=1:length(n_flows)
  for i=1:repeat
    count = count+1;
    success_rate(n,i) = x(count,4)/x(count,3);

  end
end
set(gca, 'FontSize',15);
msz=12;
%plot(n_flows, median(success_rate,2),'b-o','MarkerSize', msz);
plot_errorbar(success_rate, n_flows,'b-o',msz,5);
ylim([0 1]);
xlabel('number of concurrent flows per second');
ylabel('routing success rate');
hold on
saveas(gcf, 'testbed_multiflow.eps','psc2');
