function plot_errorbar(arr, x, color, msz, use_errorbar)
if nargin<5
  use_errorbar=0;
end
y = mean(arr,2);
l = y - min(arr,[],2);
u = max(arr,[],2) - y;
if use_errorbar==5 % median plot hack
  y = median(arr,2);
  l = y - min(arr,[],2);
  u = max(arr,[],2) - y;
  errorbar(x, y, l, u, color, 'MarkerSize', msz)
elseif use_errorbar
  errorbar(x, y, l, u, color, 'MarkerSize', msz)
else
  plot(x, y, color, 'MarkerSize', msz)
end

