function plot_route(node_coord, route_path, color, draw_text)
%visualize the  routing path 
draw_text = 1;
if size(node_coord,2)~=2
  error('wrong format in node_coord');
end
n = size(node_coord,1);
hold on
from = route_path(1);
for i = 2:length(route_path)
  to = route_path(i);
  plot([node_coord(from,1) node_coord(to,1)], [node_coord(from,2), ...
		    node_coord(to,2)],color);
  if draw_text
    idstr = sprintf('%d',from);
    text(node_coord(from,1),node_coord(from,2),idstr);
  end
  from = to;
end
if draw_text
  idstr = sprintf('%d',from);
  text(node_coord(from,1),node_coord(from,2),idstr);
end
