function states =routing_state_cr(res)

USE_BYTE_OR_N_ENTRY = 1; %=1: use byte, =0: use number of entries


NEXT_HOP_COST = 2; % 2 bytes to store a nexthop entry
BYTE_PER_PCR = 2+1+NEXT_HOP_COST; %byte per each pcr routing entry
%dest:2, scope:.5, seq:.5, nexthop:2 //no hops needed if use
%certain optimization

BYTE_PER_BEACON = 2+1+1+NEXT_HOP_COST;
n_beacon = length( res.beacons );
if USE_BYTE_OR_N_ENTRY
  states = res.cluster_cr*BYTE_PER_PCR...
	   + repmat(n_beacon*(BYTE_PER_BEACON), length(res.cluster_cr),1);
else
  states = res.cluster_cr;
end
