function connectivity(node_coord, routing_table, dests)
%visualize the connectivity of routing path to all the destinations
if size(dests,1)~=1 | size(node_coord,2)~=2
  error('wrong format in dests or node_coord');
end
n = size(node_coord,1);
hold on
for dest=dests
    reachable = find(routing_table(:,dest));
    for i=reachable'
      j = routing_table(i,dest);
      plot([node_coord(i,1) node_coord(j,1)], [node_coord(i,2), node_coord(j,2)]);
    end
end
