function neighbor_etx = deliver2etx(neighbor_deliver)

neighbor_etx=[]; %pairwise etx between neighbors
node_count = length(neighbor_deliver);
for ii=1:node_count
  neighbor_etx(ii,ii)=0;
  for jj=ii+1:node_count
    warning off % supress divided by zero warnings
    neighbor_etx(ii,jj) = 1/neighbor_deliver(ii,jj)/neighbor_deliver(jj,ii);
    warning on
    neighbor_etx(jj,ii) = neighbor_etx(ii,jj);
  end
end
