function neighbor_hops = deliver2hop(neighbor_deliver, deliver2hop_threshold)

neighbor_hops = []; %pairwise etx between neighbors
node_count = length(neighbor_deliver);
for ii=1:node_count
  neighbor_hops(ii,ii)=0;
  for jj=ii+1:node_count
    if neighbor_deliver(ii,jj)>=deliver2hop_threshold
      neighbor_hops(ii,jj) = 1;
      neighbor_hops(jj,ii) = 1;
    else
      neighbor_hops(ii,jj)=inf;
      neighbor_hops(jj,ii)=inf;
    end
  end
end
