function routing_table = dv2rt(dv, routing_table)
n = length(dv);
if nargin<2
  routing_table = sparse([]);
  routing_table(n,n)=0;
end
rt = full(routing_table);
for i=1:n
  dests = find(dv{i}(:,1)>0);
  rt(i,dests) = dv{i}(dests,1)';
  rt(i,i) = 0;
end
routing_table = sparse(rt);
clear rt;
