function v = percentile(arr,p, ignore_inf)
% v = percentile(arr,p)
%default percentile p is 90
if nargin<2
    p = 90;
end
if nargin<3
  ignore_inf = 0;
end
if ignore_inf
  idx = find(arr<Inf);
  arr = arr(idx);
end
if p==50
  v = median(arr);
elseif p<0
  v = mean(arr);
else
    n = length(arr);
  x = sort(arr);
  v = x(round((n-1)*p/100)+1);
end
