function percentile_stretch = plot_routing_stretch(estimate, real, color, ...
						  p, plot_or_not, ignore_inf)
%estimate: format of Nxd: N elements of d runs
%real: format of Nx1
%estimate = mean(estimate,2); %new here
[N inst] = size(estimate);
if nargin<6
  ignore_inf = 0;
end
if length(real)==0
  dd = estimate;
else
  %n = length(estimate);
  mask = find(real==Inf);
  real(mask) = 10000;
  estimate(mask,:) = 10000;
  mask = find(real==0);
  real(mask) = 0.01;
  %real= real+eye(n);
  %estimate = estimate + eye(n);
  dd = estimate./repmat(real,1, inst);
  dd = dd(:);
  %dd = mean(sort(dd,1),2);
%  size(dd)
end
for i=1:length(p)
  percentile_stretch(i) = percentile(dd, p(i), ignore_inf);
end
if plot_or_not
  plot_cumu_matrix(dd, color,1000, ignore_inf);
end
%xlim([0 300]);
%xlim([-1 1]);
