function [cr_t, bvr_t, bvr_2h_t] = setup_traffic(res)
%setup traffic per node

n_nodes = length(res.load_cr);
n_beacon = length(res.beacons);

DV_PACKET_SIZE=2+1+1+1;%dest id, dist, range,seq
BROADCAST_PACKET_SIZE=2+1+1; %becon id, dist, seq
%bvr_t = n_nodes*n_beacon*BROADCAST_PACKET_SIZE;
broadcast_t = n_beacon*BROADCAST_PACKET_SIZE;
bvr_t = broadcast_t + 2;%each node will not broadcast n_beacon long
                               %coordinates to neighbors, but a 2
                               %byte seq number
if nargout==3
  bvr_2h_t = bvr_t + sum(res.extra_control_traffic_2h)/n_nodes;
end
DV_PACKET_SIZE=2+1+1; %make sure it's consistent with sim_dv
%cr_t = res.dv_entries_cr*DV_ENTRY_SIZE + bvr_t;
cr_t = res.dv_entries_cr*DV_PACKET_SIZE/n_nodes + broadcast_t;
