function optm = sim_optimal(topo)
S = load(topo);
[o_dist o_nexthop] = ...
    allpair_dijkstra(S.D, 1:S.n_nodes, 1, 'sim-optimal-tmp.mat');

optimal_load = get_nexthop_load(o_nexthop, S.random_pairs);

pair_indices = S.random_pairs(:,1)+(S.random_pairs(:,2)-1)*S.n_nodes;
optimal_dist = o_dist(pair_indices);
optm = struct(...
    'optimal_dist', optimal_dist,...
    'optimal_load', optimal_load);
