function testbed_failure
rate = load('/u/maoy/GeoRouting/cr/eval/single_f_rate.matlab');
dead = load('/u/maoy/GeoRouting/cr/eval/single_f_dead.matlab');

set(gca, 'FontSize',20);

[AX,H1,H2] =plotyy(rate(:,1)/2, rate(:,2), dead(:,1)/2-1, dead(:,2))

set(get(AX(1),'Ylabel'),'String','routing success rate')
set(get(AX(2),'Ylabel'),'String','number of dead nodes')
set(H1,'LineStyle','-')
set(H2,'LineStyle','-.')
set(get(AX(1),'Ylabel'), 'FontSize',20);
set(get(AX(2),'Ylabel'), 'FontSize',20);
set(AX(1), 'FontSize',20);
set(AX(2), 'FontSize',20);
xlabel('time (minute)')
saveas(gcf, 'testbed_failure.eps','psc2');
